// using d3 to import files like json and geoPath. 
import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
// Creating the projection and pathgenerator 
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
//  At a specified location the path is attached to svg
svg.append('path')
    .attr('class', 'square') // creating class for sphere,to add style in css
    .attr('d', pathGenerator({type: 'Square'}));
// Here we specify the link, which is used to access the data.
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
// Countries variable is added to data for parsing the data.
    const countries = feature(data, data.objects.countries);
// datajoin which is used for the paths.
  svg.selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });